import { EnginePlatform } from "./EnginePlatform.js";
import { StorageAchievementGateway } from "../achievements/gateway/StorageAchievementGateway.js";
import { InMemoryStorage } from "../save/storage/InMemoryStorage.js";

export class InMemoryEnginePlatform extends EnginePlatform {
    #storage = new InMemoryStorage();
    #achievements = new StorageAchievementGateway(this.#storage);

    getStorage() {
        return this.#storage;
    }

    getAchievementGateway() {
        return this.#achievements;
    }

    pickDefaultLocale(options) {
        return options[0];
    }
}
